function init()
	gun.name = "VectorShotSlow"
	gun.fireDelay = 1200
	gun.shotrange = 550
	gun.shotspeed = 350
	gun.shotdamage = 3
	--gun.shotknockback = 4000
	gun.burstDelay = 100
	
	--gun.firecost = .5
	
	return 0
end


function update()
	return 0
end


function fire()
	gun.addShot("vectorshot1.png", gun.firex, gun.firey, gun.firetheta)
	shot.scale = 1.5
	shot.clearOwner()--turn on friendly fire

	--attach a trail emitter to the shot
	--stage.createEmitter("shottrail", 0, 0)
	--e.scale = .5
	--e.attach(shot)
	--e.upload()

	gun.sfx("gun_pew1.wav", gun.firex, gun.firey)

	return 0
end

function shot_update()

	return 0
end